Bug 259228 - HUB : assign rating fails when tags have been changed too
Summary: HUB : assign rating fails when tags have been changed too
Status: REPORTED
Alias: None
Product: digikam
Classification: Unclassified
Component: Metadata-Hub (show other bugs)
Version: 4.0.0
Platform: Compiled Sources Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Digikam Developers
URL:
Keywords:
: 330924 (view as bug list)
Depends on:
Blocks:
 
Reported: 2010-12-08 17:46 UTC by kde
Modified: 2020-08-03 05:00 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description kde 2010-12-08 17:46:48 UTC
Version:           1.7.0 (using KDE 4.5.1) 
OS:                Linux



Reproducible: Always

Steps to Reproduce:
View a picture
Set one tag (or unset or edit comment or ...)
Hit Ctrl-1 to assign rating one star

Actual Results:  
rating hasn't changed

Expected Results:  
rating should change to one star

I tried to fix this on my own but to no avail so far. Found out the following:

First MetadataManagerDatabaseWorker::assignRating is called and sets the correct rating
Then via
DigikamView::slotDispatchImageSelected
a call to
MetadataManagerDatabaseWorker::applyMetadata
happens, but here the hub is still filled with the old rating, so the picture rating gets overwritten again with the old value.
Comment 1 caulier.gilles 2011-02-16 13:16:25 UTC
Marcel, 

Do you see this entry ?

// ---------------------------------------------------------------

To Reporter,

Can you test with 1.8.0, or 1.9.0 (current implementation)

I cannot reproduce the problem with 2.0.0. Can you confirm ?

Gilles Caulier
Comment 2 kde 2011-03-13 21:22:51 UTC
I have no 1.8.0 or 1.9.0 installed, but in 2.0.0-beta3 the problem still exists according to my tests.
Comment 3 kde 2012-01-06 17:50:27 UTC
This problem still persists in version 2.5

To reproduce:
- Modify settings to embed metadata in image files
- open a image with normal albumview
- Press Ctrl-3 to assign rating 3 (you see the rating changed to ***)
- assign a tag by clicking with the mouse in the tags-Tab. (or assign a pick label/color label)
- DON'T press the Apply-Button, it needs to be active (not greyed out)
- Press Ctrl-1

What happens:
rating gets changed to 1 star (*) (you sometimes can see that).
then the tag info gets applied automatically and rating returns to 3 star (***), since thats what is still under the description-Tab

Expected Results:  
rating should change to one star
Comment 4 Marcel Wiesweg 2012-05-24 18:18:43 UTC
I can reproduce the problem with one additional step after "Press Ctrl-1":
- select another picture (triggering to apply changes from the right side tab)

Problem: ImageDescEditTab::slotReloadForMetadataChange() bails out if there have been user edits.
Solution: change tracking, which adds another level of complexity to metadata hub
Comment 5 caulier.gilles 2013-11-21 22:15:45 UTC
Marcel,

We have fixed something following your comment #4 with 3.x serie ?

Gilles Caulier
Comment 6 Marcel Wiesweg 2013-11-22 20:53:59 UTC
I doubt anything has been changed. It's a not trivial amount of work for a detail.
Comment 7 caulier.gilles 2014-09-02 10:07:39 UTC
*** Bug 330924 has been marked as a duplicate of this bug. ***
Comment 8 caulier.gilles 2016-07-16 12:39:18 UTC
Rolf,

This file still valid using last digiKam 5.0.0 ?

Gilles Caulier
Comment 9 caulier.gilles 2016-12-01 10:09:31 UTC
Any feedback with current AppImage bundle for Linux ?

https://drive.google.com/drive/folders/0BzeiVr-byqt5Y0tIRWVWelRJenM

Gilles Caulier
Comment 10 caulier.gilles 2020-08-03 05:00:55 UTC
digiKam 7.0.0 stable release is now published:

https://www.digikam.org/news/2020-07-19-7.0.0_release_announcement/

We need a fresh feedback on this file using this version.

Best Regards

Gilles Caulier